import { z } from 'zod';
import { LocalConfiguration } from './types/validate.js';
import type { Configuration, WorkspaceConfiguration } from './types/config.js';
import type { PackageJson } from 'type-fest';
type ConfigurationManagerOptions = {
    cwd?: string;
};
export default class ConfigurationChief {
    cwd: string;
    config: Configuration;
    manifestPath: undefined | string;
    manifest: undefined | PackageJson;
    constructor({ cwd }: ConfigurationManagerOptions);
    loadLocalConfig(): Promise<void>;
    normalize(rawLocalConfig: z.infer<typeof LocalConfiguration>): {
        include: string[];
        exclude: string[];
        ignoreBinaries: string[];
        ignoreFiles: string[];
        ignoreWorkspaces: string[];
        workspaces: Record<string, WorkspaceConfiguration>;
    };
    private getManifestWorkspaces;
    private getConfiguredWorkspaces;
    getActiveWorkspaces(): Promise<{
        name: string;
        dir: string;
        config: WorkspaceConfiguration;
        ancestors: string[];
    }[]>;
    private getConfigKeyForWorkspace;
    private hasConfigForWorkspace;
    getConfigForWorkspace(workspaceName: string): WorkspaceConfiguration;
    resolveIncludedIssueTypes(): import("./types/issues.js").Report;
}
export {};
