import load from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
export const isEnabled = ({ dependencies }) => {
    return dependencies.has('@capacitor/core') || dependencies.has('@capacitor/cli');
};
export const CONFIG_FILE_PATTERNS = ['capacitor.config.ts'];
const findCapacitorDependencies = async (configFilePath) => {
    const config = await load(configFilePath);
    return config.includePlugins ?? [];
};
export const findDependencies = timerify(findCapacitorDependencies);
