import load from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
export const isEnabled = ({ dependencies }) => dependencies.has('@changesets/cli');
export const CONFIG_FILE_PATTERNS = ['.changeset/config.json'];
const findChangesetsDependencies = async (configFilePath) => {
    const config = await load(configFilePath);
    return Array.isArray(config.changelog)
        ? [config.changelog[0]]
        : typeof config.changelog === 'string'
            ? [config.changelog]
            : [];
};
export const findDependencies = timerify(findChangesetsDependencies);
