import load from '../../util/loader.js';
import { getPackageName } from '../../util/modules.js';
import { timerify } from '../../util/performance.js';
export const isEnabled = ({ dependencies }) => {
    return dependencies.has('mocha');
};
export const CONFIG_FILE_PATTERNS = ['.mocharc.{js,cjs,json,jsonc,yml,yaml}', 'package.json'];
export const ENTRY_FILE_PATTERNS = ['test/**/*.{js,cjs,mjs}'];
const findMochaDependencies = async (configFilePath, { manifest }) => {
    const config = configFilePath.endsWith('package.json') ? manifest.mocha : await load(configFilePath);
    if (config) {
        const require = config.require;
        return require ? [require].map(getPackageName) : [];
    }
    return [];
};
export const findDependencies = timerify(findMochaDependencies);
