import load from '../../util/loader.js';
import { getPackageName } from '../../util/modules.js';
import { timerify } from '../../util/performance.js';
export const CONFIG_FILE_PATTERNS = ['tsconfig.json'];
export const isEnabled = ({ dependencies }) => dependencies.has('typescript');
const findTypeScriptDependencies = async (configFilePath) => {
    const config = await load(configFilePath);
    return config?.extends ? [getPackageName(config.extends)] : [];
};
export const findDependencies = timerify(findTypeScriptDependencies);
