import { z } from 'zod';
export declare const LocalConfiguration: z.ZodObject<z.extendShape<z.extendShape<z.extendShape<{
    entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    ignoreFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    ignoreBinaries: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    ignoreWorkspaces: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    paths: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
}, {
    include: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    exclude: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
}>, {
    workspaces: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<z.extendShape<{
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        ignore: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        paths: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
    }, {
        babel: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        capacitor: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        changesets: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        cypress: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        eslint: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        gatsby: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        jest: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        mocha: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        next: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        nx: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        playwright: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        postcss: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        remark: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        remix: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        rollup: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        storybook: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
        stryker: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
            config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
            projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        }, "strip", z.ZodTypeAny, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }, {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        }>]>>;
    }>, "strip", z.ZodTypeAny, {
        ignore?: string | string[] | undefined;
        babel?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        capacitor?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        changesets?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        cypress?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        eslint?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        gatsby?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        jest?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        mocha?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        next?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        nx?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        playwright?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        postcss?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remark?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remix?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        rollup?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        storybook?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        stryker?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        paths?: Record<string, string[]> | undefined;
    }, {
        ignore?: string | string[] | undefined;
        babel?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        capacitor?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        changesets?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        cypress?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        eslint?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        gatsby?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        jest?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        mocha?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        next?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        nx?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        playwright?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        postcss?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remark?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remix?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        rollup?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        storybook?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        stryker?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        paths?: Record<string, string[]> | undefined;
    }>>>;
}>, {
    babel: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    capacitor: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    changesets: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    cypress: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    eslint: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    gatsby: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    jest: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    mocha: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    next: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    nx: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    playwright: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    postcss: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    remark: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    remix: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    rollup: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    storybook: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
    stryker: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>, z.ZodObject<{
        config: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        entryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        productionEntryFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
        projectFiles: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    }, "strip", z.ZodTypeAny, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }, {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    }>]>>;
}>, "strip", z.ZodTypeAny, {
    exclude?: string[] | undefined;
    ignoreBinaries?: string[] | undefined;
    include?: string[] | undefined;
    babel?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    capacitor?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    changesets?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    cypress?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    eslint?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    gatsby?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    jest?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    mocha?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    next?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    nx?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    playwright?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    postcss?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    remark?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    remix?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    rollup?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    storybook?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    stryker?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    entryFiles?: string | string[] | undefined;
    projectFiles?: string | string[] | undefined;
    paths?: Record<string, string[]> | undefined;
    ignoreFiles?: string | string[] | undefined;
    ignoreWorkspaces?: string[] | undefined;
    workspaces?: Record<string, {
        ignore?: string | string[] | undefined;
        babel?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        capacitor?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        changesets?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        cypress?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        eslint?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        gatsby?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        jest?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        mocha?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        next?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        nx?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        playwright?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        postcss?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remark?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remix?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        rollup?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        storybook?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        stryker?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        paths?: Record<string, string[]> | undefined;
    }> | undefined;
}, {
    exclude?: string[] | undefined;
    ignoreBinaries?: string[] | undefined;
    include?: string[] | undefined;
    babel?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    capacitor?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    changesets?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    cypress?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    eslint?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    gatsby?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    jest?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    mocha?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    next?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    nx?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    playwright?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    postcss?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    remark?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    remix?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    rollup?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    storybook?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    stryker?: string | string[] | {
        config?: string | string[] | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        productionEntryFiles?: string | string[] | undefined;
    } | undefined;
    entryFiles?: string | string[] | undefined;
    projectFiles?: string | string[] | undefined;
    paths?: Record<string, string[]> | undefined;
    ignoreFiles?: string | string[] | undefined;
    ignoreWorkspaces?: string[] | undefined;
    workspaces?: Record<string, {
        ignore?: string | string[] | undefined;
        babel?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        capacitor?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        changesets?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        cypress?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        eslint?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        gatsby?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        jest?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        mocha?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        next?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        nx?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        playwright?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        postcss?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remark?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        remix?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        rollup?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        storybook?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        stryker?: string | string[] | {
            config?: string | string[] | undefined;
            entryFiles?: string | string[] | undefined;
            projectFiles?: string | string[] | undefined;
            productionEntryFiles?: string | string[] | undefined;
        } | undefined;
        entryFiles?: string | string[] | undefined;
        projectFiles?: string | string[] | undefined;
        paths?: Record<string, string[]> | undefined;
    }> | undefined;
}>;
